-- CUST once script AKZA#35129
-- Update alle telefoonnummers beginnend met +31 20 of 020 naar +31 88 969 + huidige laatste 4 cijfers

SET ECHO ON
SPOOL xAKZA#35129.lst
SET DEFINE OFF;

UPDATE   prs_perslid
   SET   prs_perslid_telefoonnr =
            '+31 88 969 ' || SUBSTR (prs_perslid_telefoonnr, -4)
 WHERE   prs_perslid_key IN
               (SELECT   p.prs_perslid_key
                  FROM   prs_perslid p
                 WHERE   prs_perslid_verwijder IS NULL
                         AND prs_perslid_telefoonnr LIKE '%31 20%'
                UNION
                SELECT   p.prs_perslid_key
                  FROM   prs_perslid p
                 WHERE   prs_perslid_verwijder IS NULL
                         AND prs_perslid_telefoonnr LIKE '%020%');

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

SPOOL OFF